# -*- Mode:perl -*-

use strict;
use ARDB;

# $ARDB::DEBUG = 1;

my $ardb = ARDB -> new( shift );

my $sql = $ardb->{sql_object};

$sql -> prepare( 'select * from relations' );

my $res = $sql -> execute ();


while( $res -> {row} ) {

  my $subj = $res->get('subject');
  my $obj  = $res->get('object');
  my $rel  = $res->get( 'relation' );
  my $src  = $res->get( 'source' );

  print "$subj -> $obj / $rel from $src\n";
  $res->next;
}



